From 40e927da116d37bb65f537e0b7346f5c9aac8257 Mon Sep 17 00:00:00 2001
From: shadow <shadow>
Date: Mon, 4 Aug 2008 06:36:00 +0000
Subject: [PATCH] simplify dbench test. more flexibility for find clients.txt
 b=15608 i=adilger i=grev

---
 lustre/tests/acceptance-small.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lustre/tests/acceptance-small.sh b/lustre/tests/acceptance-small.sh
index 89b2e169e0..6f4d288302 100755
--- a/lustre/tests/acceptance-small.sh
+++ b/lustre/tests/acceptance-small.sh
@@ -117,14 +117,14 @@ for NAME in $CONFIGS; do
 		duration=""
 		[ "$SLOW" = "no" ] && duration=" -t 120"
 		if [ "$SLOW" != "no" -o $DB_THREADS -eq 1 ]; then
-			DIR=$DBENCHDIR $myRUNAS bash rundbench 1 $duration
+			$myRUNAS bash rundbench -D $DBENCHDIR 1 $duration || error "dbench failed!"
 			$DEBUG_ON
 			$CLEANUP
 			$SETUP
 		fi
 		if [ $DB_THREADS -gt 1 ]; then
 			$DEBUG_OFF
-			DIR=$DBENCHDIR $myRUNAS bash rundbench $DB_THREADS $duration
+			$myRUNAS bash rundbench -D $DBENCHDIR $DB_THREADS $duration
 			$DEBUG_ON
 			$CLEANUP
 			$SETUP
-- 
GitLab